SDL Library Documentation
Prev |  | Next

# SDL_EventState

## Name

SDL_EventState -- This function allows you to set the state of processing certain events.

## Synopsis

    #include "SDL.h"

``Uint8 SDL_EventState`(Uint8 type, int state);`

## Description

This function allows you to set the state of processing certain event `type`'s.

If `state` is set to `SDL_IGNORE`, that event `type` will be automatically dropped from the event queue and will not be filtered.

If `state` is set to `SDL_ENABLE`, that event `type` will be processed normally.

If `state` is set to `SDL_QUERY`, `SDL_EventState` will return the current processing state of the specified event `type`.

A list of event `type`'s can be found in the SDL_Event section.

## See Also

SDL_Event

Prev | Home | Next
SDL_GetEventFilter | Up | SDL_GetKeyState